define wlan-set-path-variant
$(call project-set-path-variant,wlan,TARGET_WLAN_VARIANT,hardware/qcom/wlan)
endef

define bt-vendor-set-path-variant
$(call project-set-path-variant,bt-vendor,TARGET_BT_VENDOR_VARIANT,hardware/qcom/bt)
endef

include $(TOPDIR)vendor/fairphone/fp2/pathmap.mk

# Set device-specific HALs into project pathmap
define set-device-specific-path
$(if $(USE_DEVICE_SPECIFIC_$(1)), \
    $(if $(DEVICE_SPECIFIC_$(1)_PATH), \
        $(eval path := $(DEVICE_SPECIFIC_$(1)_PATH)), \
        $(eval path := $(TARGET_DEVICE_DIR)/$(2))), \
    $(eval path := $(3))) \
$(call project-set-path,qcom-$(2),$(strip $(path)))
endef

$(warning Fairphone ::BOARD_USES_QCOM_HARDWARE '$(BOARD_USES_QCOM_HARDWARE)')
$(warning Fairphone ::QCOM_HARDWARE_VARIANT' $(QCOM_HARDWARE_VARIANT)')
ifeq ($(BOARD_USES_QCOM_HARDWARE),true)

$(warning Fairphone::inside if' $(QCOM_HARDWARE_VARIANT)')
$(call set-device-specific-path,AUDIO,audio,hardware/qcom/audio)
$(call set-device-specific-path,CAMERA,camera,hardware/qcom/camera)
$(call set-device-specific-path,DISPLAY,display,hardware/qcom/display)
$(call set-device-specific-path,MEDIA,media,hardware/qcom/media)
$(call set-device-specific-path,GPS,gps,hardware/qcom/gps)
$(call set-device-specific-path,DATASERVICES,dataservices,vendor/qcom/opensource/dataservices)
$(call set-device-specific-path,POWER,power,hardware/qcom/power)
$(call set-device-specific-path,THERMAL,thermal,hardware/qcom/thermal)

$(call wlan-set-path-variant,wlan)
PRODUCT_CFI_INCLUDE_PATHS += \
    hardware/qcom/wlan/qcwcn/wpa_supplicant_8_lib

$(call bt-vendor-set-path-variant,hardware/qcom/bt)

else

$(warning Fairphone::inside else' $(QCOM_HARDWARE_VARIANT)')

$(call project-set-path,qcom-camera,hardware/qcom/camera/msm8974)
$(call project-set-path,qcom-data-ipa-cfg-mgr,hardware/qcom/data/ipacfg-mgr)
$(call project-set-path,qcom-gps,hardware/qcom/gps/msm8974)
$(call project-set-path,qcom-sensors,hardware/qcom/sensors)
$(call project-set-path,qcom-loc-api,vendor/qcom/opensource/location)
$(call project-set-path,qcom-dataservices,$(TARGET_DEVICE_DIR)/dataservices)

endif
